Anonymous Login
2019-06-26 19:02 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000089v1.3 Release (Closed)[All Projects] Generalpublic2010-03-31 22:47
Reportercaseydk 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version1.3 
Target VersionFixed in Version1.3 
Summary0000089: Automatically parse URLs found in text areas
DescriptionAnywhere we have a textarea, we should automatically parse/highlight links.

Sources:
http://bugs.dotproject.net/view.php?id=1363
http://bugs.dotproject.net/view.php?id=1733
http://bugs.dotproject.net/view.php?id=2013
TagsNo tags attached.
Attached Files

-Relationships
related to 0000095closedcaseydk Pending Requests Localize Address Information 
has duplicate 0000200closedcaseydk v1.1 Release (Closed) Active links in description fields 
+Relationships

-Notes

~0000307

caseydk (administrator)

This one may actually be easy based on some code like this - http://www.webmasterworld.com/php/3268855.htm

This should be reviewed for security purposes, etc.

~0000646

egemme (reporter)

Any idea of when this will be implemented?

TIA

~0000649

caseydk (administrator)

I'm working on a whole series of these Display Helpers right now.

This evening, I wrote a url() function... next will probably be email and then this request.

~0000660

caseydk (administrator)

As of today - r859 and 860 specifically - we have this applied to all description/comment fields currently in core.

This is implemented via using a simple w2p_textarea($contentToChange) call.

~0000817

caseydk (administrator)

Closed in v1.3 release.
+Notes

-Issue History
Date Modified Username Field Change
2009-02-03 07:03 caseydk New Issue
2009-02-03 19:43 caseydk Status new => assigned
2009-02-03 19:43 caseydk Assigned To => caseydk
2009-06-22 19:36 caseydk Note Added: 0000307
2009-06-22 19:42 caseydk Project Pending Requests => v1.1 Release (Closed)
2009-07-12 05:08 caseydk Relationship added has duplicate 0000200
2009-08-03 04:08 caseydk Project v1.1 Release (Closed) => Pending Requests
2009-12-13 18:06 egemme Note Added: 0000646
2009-12-13 22:00 caseydk Note Added: 0000649
2009-12-14 10:22 caseydk Relationship added related to 0000095
2009-12-16 23:32 caseydk Status assigned => resolved
2009-12-16 23:32 caseydk Resolution open => fixed
2009-12-16 23:32 caseydk Note Added: 0000660
2009-12-16 23:32 caseydk Project Pending Requests => v1.3 Release (Closed)
2010-03-31 22:46 caseydk Note Added: 0000817
2010-03-31 22:46 caseydk Status resolved => closed
2010-03-31 22:46 caseydk Fixed in Version => 1.3
2010-03-31 22:47 caseydk Product Version => 1.3
2010-03-31 22:47 caseydk Description Updated
+Issue History